import { IAxiosAjaxUtils, ICryptoUtils } from "@snickerdoodlelabs/common-utils";
import { AjaxError, IpfsCID, EVMContractAddress, Signature, EVMAccountAddress, HexString, EVMPrivateKey, BigNumberString, InsightString, URLString, TokenId, EligibleReward, EarnedReward, QueryIdentifier, IDynamicRewardParameter } from "@snickerdoodlelabs/objects";
import { ResultAsync } from "neverthrow";
import { IInsightPlatformRepository } from "./IInsightPlatformRepository.js";
export declare class InsightPlatformRepository implements IInsightPlatformRepository {
    protected cryptoUtils: ICryptoUtils;
    protected ajaxUtils: IAxiosAjaxUtils;
    constructor(cryptoUtils: ICryptoUtils, ajaxUtils: IAxiosAjaxUtils);
    receivePreviews(consentContractAddress: EVMContractAddress, tokenId: TokenId, queryCID: IpfsCID, signingKey: EVMPrivateKey, insightPlatformBaseUrl: URLString, answeredQueries: QueryIdentifier[]): ResultAsync<EligibleReward[], AjaxError>;
    deliverInsights(consentContractAddress: EVMContractAddress, tokenId: TokenId, queryCID: IpfsCID, returns: InsightString[], rewardParameters: IDynamicRewardParameter[], signingKey: EVMPrivateKey, insightPlatformBaseUrl: URLString): ResultAsync<EarnedReward[], AjaxError>;
    executeMetatransaction(accountAddress: EVMAccountAddress, contractAddress: EVMContractAddress, nonce: BigNumberString, value: BigNumberString, gas: BigNumberString, data: HexString, metatransactionSignature: Signature, signingKey: EVMPrivateKey, insightPlatformBaseUrl: URLString): ResultAsync<void, AjaxError>;
}
//# sourceMappingURL=InsightPlatformRepository.d.ts.map